## org.hibernate.ejb.criteria
Class ValueHandlerFactory.FloatValueHandler

    java.lang.Object
      org.hibernate.ejb.criteria.ValueHandlerFactory.BaseValueHandler<Float>
          org.hibernate.ejb.criteria.ValueHandlerFactory.FloatValueHandler

All Implemented Interfaces:
  Serializable, ValueHandlerFactory.ValueHandler<Float>

Enclosing class:
  ValueHandlerFactory

    public static class ValueHandlerFactory.FloatValueHandler

extends ValueHandlerFactory.BaseValueHandler<Float>
implements Serializable

See Also:
  Serialized Form

Field Summary
`static ValueHandlerFactory.FloatValueHandler` `INSTANCE`

Constructor Summary
`ValueHandlerFactory.FloatValueHandler()`

Method Summary
`Float` `convert(Object value)`
`String` `render(Float value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ValueHandlerFactory.FloatValueHandler INSTANCE

Constructor Detail

### ValueHandlerFactory.FloatValueHandler

    public ValueHandlerFactory.FloatValueHandler()

Method Detail

### convert

    public Float convert(Object value)

  Specified by:
    `convert` in interface `ValueHandlerFactory.ValueHandler<Float>`

### render

    public String render(Float value)

  Specified by:
    `render` in interface `ValueHandlerFactory.ValueHandler<Float>`
  Overrides:
    `render` in class `ValueHandlerFactory.BaseValueHandler<Float>`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.